Subject: [Geopriv] Fwd: New Version Notification for draft-jones-geopriv-sigpos-survey-00.txt

From: Kipp Jones <[email-masked]>
Date: Tue, 26 Jun 2012 15:12:50 -0400

Greetings geopriv group,

I wanted to do introduce myself to the group and solicit some feedback on a draft I recently submitted regarding an approach to handling signal survey data for indoor positioning. The draft can be found at:

    https://datatracker.ietf.org/doc/draft-jones-geopriv-sigpos-survey/

First, some background.  I'm Kipp Jones, chief architect and privacy czar for Skyhook. We provide location services for mobile devices and are interested in many of the topics that geopriv has been working on (HELD, measurements, discovery, privacy, relative location, etc).  I've been lurking for awhile and apologize for not contributing more in the past to the efforts of the group.  Also as a long-time listener, first-time caller, forgive me if I go astray. 

The topic I'd like to bring up for discussion has to do with what is commonly referred to as site surveys -- in particular the process of gathering information about a venue's infrastructure for purposes of providing location services.  This process is not new but is an important part of providing location services, especially those focused on indoor capabilities. 

The need I'm proposing to address has two primary components:

1) a common data format for capturing and conveying the information related to a site survey (think HELD Measurements writ large), and
2) a method to allow the venue owner/surveyor to specify usage rights for the captured data

The thinking behind this is to remove several obstacles that I believe are impeding the scalability of indoor positioning.  Providing a common format allows for the introduction of tools, software, devices and services that are interoperable, reducing vendor lock-in, reducing redundant effort, and enabling data re-use. At the same time, by providing venue owners a method to specify usage rights, a venue owner has additional incentive to manage this information as part of their infrastructure, and potentially providing the information to various vendors/services based on their needs and interests.

Here is the abstract:

> Abstract:
>   Location Information Servers rely on signal surveys to create a
>   signal map allowing for subsequent device location determination.
>   This document describes a method by which a Survey Device is able to
>   provide indoor location related measurement data to a LIS for
>   positioning purposes.  Location related measurement information
>   comprises observations concerning properties related to the position
>   of a Survey Device and the radio, electromagnetic, and other
>   observable environmental measures as perceived by the Survey Device.
>   These measurements could be data about Wi-Fi signals, Bluetooth
>   signals, barometric pressure, or any other environmental measurement
>   which could sent to a LIS for subsequent processing to help determine
>   the location of devices that later enter the venue.  A basic set of
>   location-related measurements, data rights disclosure and location
>   types are defined.

I would love to get some feedback on the draft and look forward to the interaction.

Cheers,

Kipp

.............................................. 
Kipp Jones
Chief Architect/Privacy Czar
[email-masked]
m: 404.213.9293 | @skykipp

Begin forwarded message:

> From: "[email-masked]" <[email-masked]>
> Subject: New Version Notification for draft-jones-geopriv-sigpos-survey-00.txt
> Date: June 7, 2012 4:14:34 PM EDT
> To: Kipp Jones <[email-masked]>
> 
> A new version of I-D, draft-jones-geopriv-sigpos-survey-00.txt has been successfully submitted by Kipp Jones and posted to the IETF repository.
> 
> Filename:	 draft-jones-geopriv-sigpos-survey
> Revision:	 00
> Title:		 Indoor Signal Position Conveyance
> Creation date:	 2012-05-31
> WG ID:		 Individual Submission
> Number of pages: 49
> 
> Abstract:
>   Location Information Servers rely on signal surveys to create a
>   signal map allowing for subsequent device location determination.
>   This document describes a method by which a Survey Device is able to
>   provide indoor location related measurement data to a LIS for
>   positioning purposes.  Location related measurement information
>   comprises observations concerning properties related to the position
>   of a Survey Device and the radio, electromagnetic, and other
>   observable environmental measures as perceived by the Survey Device.
>   These measurements could be data about Wi-Fi signals, Bluetooth
>   signals, barometric pressure, or any other environmental measurement
>   which could sent to a LIS for subsequent processing to help determine
>   the location of devices that later enter the venue.  A basic set of
>   location-related measurements, data rights disclosure and location
>   types are defined.
> 
> 
> 
> 
> The IETF Secretariat